Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.AuthenticatorOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.Authenticator`, `ClientWireProtocol.Authenticator.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.AuthenticatorOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.OpenIDAuthenticator`
`getOpenidauthenticator()`
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`
`ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
`getOpenidauthenticatorOrBuilder()`
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`
`ClientWireProtocol.Authenticator.ResponseOneofCase`
`getResponseOneofCase()`
`boolean`
`hasOpenidauthenticator()`
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasOpenidauthenticator

boolean hasOpenidauthenticator()
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`

Returns:
  Whether the openidauthenticator field is set.

### getOpenidauthenticator

ClientWireProtocol.OpenIDAuthenticator getOpenidauthenticator()
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`

Returns:
  The openidauthenticator.

### getOpenidauthenticatorOrBuilder

ClientWireProtocol.OpenIDAuthenticatorOrBuilder getOpenidauthenticatorOrBuilder()
`.xg.cmdcomp.OpenIDAuthenticator openidauthenticator = 1;`

### getResponseOneofCase

ClientWireProtocol.Authenticator.ResponseOneofCase getResponseOneofCase()